Package org.codehaus.groovy.antlr

# Class ASTRuntimeException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.codehaus.groovy.antlr.ASTRuntimeException

All Implemented Interfaces:
  `Serializable`

public class ASTRuntimeException extends RuntimeException
Used within the Groovy's AntlrParserPlugin

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ASTRuntimeException(antlr.collections.AST ast, String message)`
`ASTRuntimeException(antlr.collections.AST ast, String message, Throwable throwable)`

## Method Summary

Modifier and Type
Method
Description
`protected static String`
`description(antlr.collections.AST node)`
`antlr.collections.AST`
`getAst()`
`int`
`getColumn()`
`int`
`getLine()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ASTRuntimeException

public ASTRuntimeException(antlr.collections.AST ast, String message)

### ASTRuntimeException

public ASTRuntimeException(antlr.collections.AST ast, String message, Throwable throwable)

## Method Details

### description

protected static String description(antlr.collections.AST node)

### getAst

public antlr.collections.AST getAst()

### getLine

public int getLine()

### getColumn

public int getColumn()